import * as Konva from "konva";
interface IImage {
    width?: number;
    height?: number;
    border?: number;
    borderColor?: string;
    opacity?: number;
}
export declare type IImageSync = IImage & {
    image: HTMLImageElement;
};
export declare type IImageAsync = IImage & {
    imageURL: string;
};
export interface IImageAsyncReturnSuccess {
    image: Konva.Image;
}
export declare const imageSync: (args: IImageSync) => Konva.Image;
export declare const imageAsync: (args: IImageAsync) => Promise<IImageAsyncReturnSuccess>;
export {};
