/// <reference types="roslib" />
import * as Konva from "konva";
import { IRosBridgeURL } from "./index";
export declare const getContainerDimensions: (container: HTMLElement) => {
    width: number;
    height: number;
};
export declare const zoomStage: (container: HTMLElement, stage: Konva.Stage, scaleBy: number) => void;
export declare class ZoomControl {
    private readonly stage;
    private lastDist;
    constructor(stage: Konva.Stage);
    handleWheelZoom(element: HTMLElement, scaleBy: number): void;
    handleTouchZoom(): void;
}
export declare const isRosBridgeURL: (object: IRosBridgeURL | import("roslib").Ros) => object is IRosBridgeURL;
export declare const isObjectRectangle: (object: Konva.Circle | Konva.Rect | Konva.Arrow | Konva.Image) => object is Konva.Rect;
export declare const isObjectImage: (object: Konva.Circle | Konva.Rect | Konva.Arrow | Konva.Image) => object is Konva.Image;
export declare const quaternionToEulerAngle: ({ w, x, y, z }: {
    w: number;
    x: number;
    y: number;
    z: number;
}) => {
    alpha: number;
    beta: number;
    gamma: number;
};
export declare const animateToPoint: (object: Konva.Circle | Konva.Rect | Konva.Arrow | Konva.Image, x: number, y: number) => void;
export declare const listenForContainerResize: (previousDimensions: {
    width: number;
    height: number;
}, container: HTMLElement, callback: (newDimensions: {
    width: number;
    height: number;
}) => void) => void;
