import { isNil } from "lodash";
import * as Konva from "konva";

export interface IArrow {
  pointerWidth: number;
  pointerLength: number;
  color: string;
  border?: number;
  borderColor?: string;
  opacity?: number;
}

const arrow = (args: IArrow) =>
  new Konva.Arrow({
    points: [0, 0, args.pointerLength * 2, 0],
    pointerWidth: args.pointerWidth,
    pointerLength: args.pointerLength,
    fill: args.color,
    strokeWidth: !isNil(args.border) ? args.border : 0,
    stroke: !isNil(args.borderColor) ? args.borderColor : "black",
    opacity: !isNil(args.opacity) ? args.opacity : 1
  });

export default arrow;
