import { isNil } from "lodash";
import * as Konva from "konva";

export interface ICircle {
  radius: number;
  color: string;
  border?: number;
  borderColor?: string;
  opacity?: number;
}

const circle = (args: ICircle) =>
  new Konva.Circle({
    radius: args.radius,
    fill: args.color,
    strokeWidth: !isNil(args.border) ? args.border : 0,
    stroke: !isNil(args.borderColor) ? args.borderColor : "black",
    opacity: !isNil(args.opacity) ? args.opacity : 1
  });

export default circle;
