export interface IMap {
  path: string;
  info: {
    origin: number[];
    resolution: number;
  };
}

export interface IMapReturnSuccess {
  image: HTMLImageElement;
  info: IMap["info"];
}

const map = (args: IMap) => {
  const { path, info } = args;
  const image = new Image();
  image.src = path;
  return new Promise<IMapReturnSuccess>(resolve => {
    image.onload = () => resolve({ image, info });
    image.onerror = () => {
      throw new Error("error loading image");
    };
  });
};

export default map;
