import { isNil } from "lodash";
import * as Konva from "konva";

export interface IRectangle {
  width: number;
  height: number;
  color: string;
  border?: number;
  borderColor?: string;
  opacity?: number;
}

const rectangle = (args: IRectangle) =>
  new Konva.Rect({
    width: args.width,
    height: args.height,
    fill: args.color,
    offsetY: args.height / 2,
    strokeWidth: !isNil(args.border) ? args.border : 0,
    stroke: !isNil(args.borderColor) ? args.borderColor : "black",
    opacity: !isNil(args.opacity) ? args.opacity : 1
  });

export default rectangle;
