/* tslint:disable */
import * as path from "path";
import * as webpack from "webpack";

const CleanWebpackPlugin = require("clean-webpack-plugin");

const config: webpack.Configuration = {
  entry: ["./src/index.ts"],
  output: {
    filename: "index.js",
    path: path.join(__dirname, "build"),
    umdNamedDefine: true,
    library: "rosbrowz",
    libraryTarget: "umd"
  },
  devtool: "source-map",

  resolve: {
    extensions: [".ts", ".js", ".json"]
  },

  plugins: [new CleanWebpackPlugin(["build"])],

  module: {
    rules: [
      {
        exclude: path.resolve(__dirname, "node_modules"),
        include: path.resolve(__dirname, "src"),
        test: /\.ts?$/,
        use: [
          {
            loader: "awesome-typescript-loader?silent=true",
            options: {
              configFileName: path.resolve(__dirname, "tsconfig.json")
            }
          }
        ]
      },
      {
        enforce: "pre",
        loader: "source-map-loader",
        test: /\.js$/
      },
      {
        test: /\.(gif|png|jpe?g|svg|woff|woff2|eot|ttf)$/i,
        use: ["url-loader?limit=10000&name=[path][name].[ext]"]
      }
    ]
  }
};

export default config;
